#! /usr/local/bin/ruby

require 'yaml'
require 'fileutils'

puts "Loading seeds"

system "service mysql start"

config_path = "./config/database.yml"

username = ENV['DATABASE_USERNAME']
password = ENV['DATABASE_PASSWORD']
database = ENV['DATABASE_NAME']
rails_env = ENV['RAILS_ENV'] || 'development'

database_config = {
  rails_env => {
    'adapter' => 'mysql2',
    'encoding' => 'utf8',
    'reconnect' => true,
    'username' => username,
    'password' => password,
    'host' => 'localhost',
    'database' => database
  }
}

File.open(config_path, "w") do |file|
  file.write(database_config.to_yaml)
end

File.open('./config/secrets.yml', 'w') do |file|
  secret_key_config = {
    rails_env => {
      'secret_key_base' => ENV['SECRET_KEY_BASE']
    }
  }
  file.write(secret_key_config.to_yaml)
end

system "bundle install"
tables = `mysql -uroot -e "SHOW TABLES" #{database}`
if tables == ''
  if rails_env == 'development'
    test_database_command = "CREATE DATABASE #{database}_test; GRANT ALL ON #{database}_test.* TO '#{username}'@'%';"
    system "mysql -uroot -e \"#{test_database_command}\""
  end
  system "bundle exec rake db:reset"
else
  system "bundle exec rake db:migrate; bundle exec rake db:seed"
end