#! /usr/local/bin/ruby
require 'yaml'

database_host = ENV['DATABASE_HOST']

if database_host == nil
  exit(0)
end
  
common_config = {
  'adapter' => 'mysql2',
  'username' => ENV['DATABASE_USERNAME'],
  'password' => ENV['DATABASE_PASSWORD'],
  'reconnect' => true,
  'host' => database_host,
  'database' => ENV['DATABASE_NAME'],
  'port' => ENV['DATABASE_PORT']
}

rails_env = ENV['RAILS_ENV'] || 'development'

database_config = {
  rails_env => common_config
}

if rails_env == 'development'
  database_config['test'] = common_config.dup
  database_config['test']['database'] += '_test'
end

File.open('/var/code/config/database.yml', 'w') do |file|
  file.write(database_config.to_yaml)
end

secret_key_config = {
  rails_env => {
    'secret_key_base' => ENV['SECRET_KEY_BASE']
  }
}

if rails_env == 'development'
  secret_key_config['test'] = secret_key_config['development'].dup
end

File.open('/var/code/config/secrets.yml', 'w') do |file|
  file.write(secret_key_config.to_yaml)
end