module RubyYacht::Runner
  # This class provides a command for building the system.
  #
  # It will build the images, run the containers, and update the hosts file.
  class Build < Command
    # The identifier for the command.
    def self.command; 'build'; end

    # The description for the command.
    def self.description
      "Build images and run containers"
    end
    
    # This method runs the logic for this command.
    def run
      return BuildImages.new.run &&
      RunContainers.new.run &&
      UpdateHosts.new.run
    end
  end
end
