module RubyYacht::Runner
  # This class provides a command for destroying the local docker environment.
  class Implode < Command
    # The name of the command.
    def self.command; 'implode'; end

    # The description of the command.
    def self.description
      "Destroy your local environment"
    end

    # This method runs the logic of the command.
    def run
      projects.each do |project|
        system_prefix = project.system_prefix
      
        machines = backtick("docker ps -a | grep #{system_prefix}").split("\n").map { |line| line.split(/\s+/)[0] }
        machines.each do |machine|
          docker "rm -f #{machine}"
        end
      
        images = backtick("docker images | grep #{system_prefix}").split("\n").map { |line| line.split(/\s+/)[0] }
        images.each do |image|
          docker "rmi #{image}"
        end
      end

      backtick("docker images -q --filter dangling=true").split("\n").each do |image|
        docker "rmi #{image}"
      end
    end
  end
end
